Subject: Re: bug#51985: lint: Adjust patch file length check.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 28 Nov 2021 18:02:10 +0100

Hi!

Vagrant Cascadian <[email-masked]> skribis:

> On 2021-11-25, Ludovic Courtès wrote:

[...]

>> I think independently of the switch to ustar, it’s a good idea for ‘guix
>> lint’ to warn about long patch file names, but to warn a bit less
>> frequently than today.
>>
>> In that spirit, your patch is still relevant and worth applying IMO.
>
> Sure, although while I'm mucking around... I went ahead and did some
> real-world testing of file lengths usable by ustar.
>
> Using ustar adds a significant buffer, though less than one might think
> in the case of guix-VERSION/gnu/packages/patches/*.patch (~151
> characters vs. ~99).
>
> I'm guessing this is plenty buffer though, most existing patches were
> only a theoretical problem... almost to the point that maybe even
> removing the check entirely might be fine.

Like I wrote, I think it’s good to have this check even if there were no
hard limits, mostly as a style guideline.

> From c0738574a3571977855d655c157ab0ea0f9be6ef Mon Sep 17 00:00:00 2001
> From: Vagrant Cascadian <[email-masked]>
> Date: Fri, 26 Nov 2021 12:13:45 -0800
> Subject: [PATCH] lint: Adjust patch file length check.
>
> With the switch to "ustar" format in commit
> bdf5c16ac052af2ca9d5c3acc4acbc08fd9fdbea, the maximum file length has
> increased.
>
> * guix/lint.scm (check-patch-file-names): Adjust margin used to check for
>   patch file lengths. Increase allowable patch file length appropriate to new
>   tar format. Extend warning to explain that long files may break 'make dist'.
> * tests/lint.scm: Update tests accordingly.

[...]

> +                           (G_ "~a: file name is too long which may break 'make dist'")

I think you need a comma before “which”, but other than that LGTM!  :-)

Thanks,
Ludo’.